<?xml version="1.0" encoding="windows-1251"?><!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:svg="http://www.w3.org/2000/svg" version="1.0"
	xmlns:sql="bitel.billing.server.util.exslt.SQLQuery"
	xmlns:xalan="http://xml.apache.org/xalan">
	
	<xalan:component prefix="sql" functions="select">
   			 <xalan:script lang="javaclass" src="xalan://bitel.billing.server.util.exslt.SQLQuery"/>
  	</xalan:component>  

	<xsl:output encoding="windows-1251" method='xml' indent='yes' />

	<xsl:attribute-set name="text">
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-size">11pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="text-decoration">none</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="text_size">
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="text-decoration">none</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="text_underlined">
		<xsl:attribute name="text-decoration">underline</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-size">11pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="text_bold">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="font-size">12pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text_title">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">14pt</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="text_italic">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-size">12pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>
	
	
	<xsl:attribute-set name="cell_border">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-top-style">solid</xsl:attribute>
		<xsl:attribute name="border-bottom-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
		<xsl:attribute name="padding-top">0.1cm</xsl:attribute>
		<xsl:attribute name="padding-top">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:variable name="cid" select="/card/contract/@cid"/>
	<xsl:variable name="contract_title" select="/card/contract/@title" />
	<xsl:variable name="contract_comment" select="/card/contract/@comment" />
	<xsl:variable name="contract_date1" select="/card/contract/@date1" />
	<xsl:variable name="fio" select="/card/parameters/parameter[@pid=1]/@value" />
	<xsl:variable name="email" select="/card/parameters/parameter[@pid=4]/@value" />
	<xsl:variable name="organization" select="/card/parameters/parameter[@pid=7]/@value" />
	<xsl:variable name="stat_pswd" select="/card/contract/@pswd" />
	<xsl:variable name="nowdate" select="sql:select( 'SELECT curdate() as nowdt' )/row/@nowdt"/>
	
	<xsl:template match="/card">
		
		<fo:root>
			<fo:layout-master-set>
				<fo:simple-page-master margin-right="1cm"
					margin-left="1.5cm" margin-bottom="0.7cm" margin-top="0.8cm"
					page-width="21cm" page-height="29.7cm" master-name="first">
					<fo:region-body margin-top="0.0cm"
						margin-bottom="0.0cm" />
					<fo:region-before extent="0.0cm" />
					<fo:region-after extent="0.0cm" />
				</fo:simple-page-master>
			</fo:layout-master-set>

			<fo:page-sequence master-reference="first">
				<fo:flow flow-name="xsl-region-body">
					<xsl:call-template name="page"/>
				</fo:flow>
			</fo:page-sequence>
			<fo:page-sequence master-reference="first">
				<fo:flow flow-name="xsl-region-body">
					<xsl:call-template name="page"/>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	
	<xsl:template name="page">
		<!--  -->
		<fo:block xsl:use-attribute-sets="text_title">
				 <xsl:value-of select="$nowdate"/>
		</fo:block>
		<fo:block xsl:use-attribute-sets="text_title" space-after="0.5cm">
				  <xsl:value-of select="$contract_title"/>  <xsl:value-of select="$contract_date1"/>
		</fo:block>
		<!--  -->
					
					<fo:block xsl:use-attribute-sets="text_underlined" font-weight="bold">
						1.      : 
					</fo:block>
			
					<fo:table table-layout="fixed">
						<fo:table-column column-width="8cm"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
							
						<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										  :
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										 :
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<xsl:for-each select="objects/object">
								<fo:table-row>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="text" text-align="center">
											<xsl:value-of select="row[@param_id=1]/@value"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block xsl:use-attribute-sets="text" text-align="center">
											<xsl:value-of select="row[@param_id=4]/@value"/>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>	
							</xsl:for-each>
						</fo:table-body>
					</fo:table>
					
					<fo:block xsl:use-attribute-sets="text_underlined" font-weight="bold">
						2.   :
					</fo:block>
			
					<xsl:for-each select="contract/tariff">
						<fo:block xsl:use-attribute-sets="text" text-align="left">
							<xsl:value-of select="@tariff_plan"/>
						</fo:block>
					</xsl:for-each>
					
					<!--   4.6 xsl:for-each select="contract/personal_tariff">
						<fo:block xsl:use-attribute-sets="text" text-align="left">
							: <xsl:value-of select="@title"/>
						</fo:block>
					</xsl:for-each -->
					
					<xsl:variable name="querypers" 
									  select="concat('SELECT title FROM contract_tree_link', 
									  ' WHERE cid=', $cid ,' AND (date1 IS NULL OR date1&lt;=curdate()',
									  ') AND (date2 IS NULL OR date2&gt;=curdate()) ORDER BY pos, date1')"/>
					<xsl:variable name="pers_tariff" select="sql:select( $querypers )"/>
					<xsl:for-each select="$pers_tariff/row">
						<fo:block xsl:use-attribute-sets="text" text-align="left">
							: <xsl:value-of select="@title"/>
						</fo:block>
					</xsl:for-each>
					
					
					<fo:block xsl:use-attribute-sets="text_underlined" font-weight="bold">
						3.      VPN (PPTP):
					</fo:block>
			
					<fo:table table-layout="fixed">
						<fo:table-column column-width="4cm"/>
						<fo:table-column column-width="4cm"/>
						<fo:table-column column-width="4cm"/>
						<fo:table-column column-width="4cm"/>
							
						<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										:
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										:
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										:
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										:
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<xsl:for-each select="module[@name='dialup']">
								<xsl:variable name="dialup_id" select="@id" />
								<xsl:for-each select="*[name()=concat('user_login_',$dialup_id)]">
									<xsl:variable name="login_id" select="@id" />
									<fo:table-row>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:value-of select="@login"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:value-of select="../*[name()=concat('user_alias_',$dialup_id) and @login_id=$login_id]/@login_alias"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:value-of select="@pswd"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:if test="@status=0"> </xsl:if>
												<xsl:if test="@status=1"> </xsl:if>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</xsl:for-each>
							</xsl:for-each>
						</fo:table-body>
					</fo:table>
					
					<fo:block xsl:use-attribute-sets="text_underlined" font-weight="bold">
						4.         VoIP:
					</fo:block>
					
					<fo:table table-layout="fixed">
						<fo:table-column column-width="4cm"/>
						<fo:table-column column-width="4cm"/>
						<fo:table-column column-width="4cm"/>
						<fo:table-column column-width="4cm"/>
							
						<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										:
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										:
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										:
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										:
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<xsl:for-each select="module[@name='voiceip']">
								<xsl:variable name="voiceip_id" select="@id" />
								<xsl:for-each select="*[name()=concat('user_login_',$voiceip_id)]">
									<xsl:variable name="login_id" select="@id" />
									<fo:table-row>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:value-of select="@login"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:value-of select="../*[name()=concat('user_alias_',$voiceip_id) and @login_id=$login_id]/@login_alias"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:value-of select="@pswd"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:if test="@status=0"> </xsl:if>
												<xsl:if test="@status=1"> </xsl:if>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</xsl:for-each>
							</xsl:for-each>
						</fo:table-body>
					</fo:table>
					
					<fo:block xsl:use-attribute-sets="text_underlined" font-weight="bold">
						5.    (IPN):
					</fo:block>
					
					<fo:table table-layout="fixed">
						<fo:table-column column-width="8cm"/>
						<fo:table-column column-width="8cm"/>
							
						<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										 :
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text" text-align="center">
										 :
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<xsl:for-each select="module[@name='ipn']">
								<xsl:variable name="ipn_id" select="@id" />
								<xsl:for-each select="*[name()=concat('ipn_user_range_',$ipn_id)]">
									<fo:table-row>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:value-of select="concat( floor(@addr1 div 16777216),'.',floor(@addr1 div 65536) mod 256,'.',floor(@addr1 div 256) mod 256 ,'.',@addr1 mod 256)"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block xsl:use-attribute-sets="text" text-align="center">
												<xsl:value-of select="concat( floor(@addr2 div 16777216),'.',floor(@addr2 div 65536) mod 256,'.',floor(@addr2 div 256) mod 256 ,'.',@addr2 mod 256)"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</xsl:for-each>
							</xsl:for-each>
						</fo:table-body>
					</fo:table>
					
					<fo:block >
						<fo:inline xsl:use-attribute-sets="text_underlined" font-weight="bold">6.  : </fo:inline>
						<fo:inline xsl:use-attribute-sets="text">
							<xsl:for-each select="module[@name='npay']" >
								<xsl:variable name="npay_id" select="@id" />
								<xsl:for-each select="../contract_service[@mid=$npay_id]">
									<xsl:if test="position()>1">, </xsl:if><xsl:value-of select="@title"/>
								</xsl:for-each>
							</xsl:for-each>
						</fo:inline>
					</fo:block>
					
					<fo:block>
						<fo:inline xsl:use-attribute-sets="text_underlined" font-weight="bold">7.  : </fo:inline>
						<fo:inline xsl:use-attribute-sets="text">
							<xsl:for-each select="module[@name='rscm']" >
							<xsl:variable name="rscm_id" select="@id" />
							<xsl:variable name="tableName" select="concat('rscm_service_account_',$rscm_id,
																	'_', substring($nowdate,1,4), substring($nowdate,6,2))"/>
							<xsl:variable name="query" 
									  select="concat('SELECT service.title FROM ', $tableName, 
									  		 ' LEFT JOIN service ON ',  $tableName, '.sid=service.id',
									  		 ' WHERE cid=', $cid )"/>
					    	<xsl:variable name="rscm_services" select="sql:select( $query )"/>
					    	
								<xsl:for-each select="$rscm_services/row">
									<xsl:if test="position()>1">, </xsl:if><xsl:value-of select="@title"/>
								</xsl:for-each>
							</xsl:for-each>
						</fo:inline>
					</fo:block>
					
					<fo:block>
						<fo:inline xsl:use-attribute-sets="text_underlined" font-weight="bold">8.  : </fo:inline>
						<fo:inline xsl:use-attribute-sets="text"><xsl:value-of select="$email"/></fo:inline>
					</fo:block>
					
					<fo:block>
						<fo:inline xsl:use-attribute-sets="text_underlined" font-weight="bold">9.    (http://stat.maglan.net/)      : </fo:inline>
						<fo:inline xsl:use-attribute-sets="text"><xsl:value-of select="$stat_pswd"/></fo:inline>
					</fo:block> 
						
					<fo:block xsl:use-attribute-sets="text_size" font-size="9pt" white-space-collapse="false">
       ,         .6  . 
       .
              .       "    "  "-".       "-"    .
        (        ,    ).
             . 
        :                   //     10%/100/10%.         ,     ,          .
     .          . </fo:block>
					
					<fo:block xsl:use-attribute-sets="text_size" font-size="8pt" text-align="center">
						    .
					</fo:block>
					
					<fo:block xsl:use-attribute-sets="text_size" font-size="9pt" white-space-collapse="false">  , : +7 (4132) 606-831, 607-769, 609-501 . 100 ( 9:00  20:00),  : admin@maglan.ru support@maglan.ru; 
    ,  : +7 (4132) 606-831, 607-769, 609-501 . 130 ( 10:00  19:00),   office@maglan.ru; 
 , : +7 (4132) 606-831, 607-769, 609-501 . 110 ( 10:00  19:00),   maglan@maglan.ru. 
: +7 (4132) 606-831, 607-769, 609-501 . 190 </fo:block>

					<fo:table table-layout="fixed">
							
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
							
						<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text_size" font-size="9pt" white-space-collapse="false">
:
: <xsl:value-of select="$fio"/>
 :
<xsl:value-of select="$organization"/>

______________ <xsl:value-of select="$fio"/>
   ()
   
     
       .
             
       
									</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block xsl:use-attribute-sets="text_size" font-size="9pt" white-space-collapse="false">
:
:   
 :
 ""

______________   
   ()
   
     
       .
            
       
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					
				<fo:block xsl:use-attribute-sets="text_size" font-size="7pt" white-space-collapse="false"> ͻ          (       :  62072      ,            ,  62071   ,  39655       ,  44958           ).         -   -1-77-01-27-0-4909906720-026993-1.</fo:block>
			</xsl:template>
</xsl:stylesheet>